org.keycloak.protocol

## Class ProtocolMapperUtils

- java.lang.Object
- - org.keycloak.protocol.ProtocolMapperUtils

-     public class ProtocolMapperUtils
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AGGREGATE_ATTRS`
    `static String` | `AGGREGATE_ATTRS_HELP_TEXT`
    `static String` | `AGGREGATE_ATTRS_LABEL`
    `static String` | `MULTIVALUED`
    `static String` | `MULTIVALUED_HELP_TEXT`
    `static String` | `MULTIVALUED_LABEL`
    `static int` | `PRIORITY_AUDIENCE_RESOLVE_MAPPER`
    `static int` | `PRIORITY_HARDCODED_ROLE_MAPPER`
    `static int` | `PRIORITY_ROLE_MAPPER`
    `static int` | `PRIORITY_ROLE_NAMES_MAPPER`
    `static int` | `PRIORITY_SCRIPT_MAPPER`
    `static String` | `USER_ATTRIBUTE`
    `static String` | `USER_MODEL_ATTRIBUTE_HELP_TEXT`
    `static String` | `USER_MODEL_ATTRIBUTE_LABEL`
    `static String` | `USER_MODEL_CLIENT_ROLE_MAPPING_CLIENT_ID`
    `static String` | `USER_MODEL_CLIENT_ROLE_MAPPING_CLIENT_ID_HELP_TEXT`
    `static String` | `USER_MODEL_CLIENT_ROLE_MAPPING_CLIENT_ID_LABEL`
    `static String` | `USER_MODEL_CLIENT_ROLE_MAPPING_ROLE_PREFIX`
    `static String` | `USER_MODEL_CLIENT_ROLE_MAPPING_ROLE_PREFIX_HELP_TEXT`
    `static String` | `USER_MODEL_CLIENT_ROLE_MAPPING_ROLE_PREFIX_LABEL`
    `static String` | `USER_MODEL_PROPERTY_HELP_TEXT`
    `static String` | `USER_MODEL_PROPERTY_LABEL`
    `static String` | `USER_MODEL_REALM_ROLE_MAPPING_ROLE_PREFIX`
    `static String` | `USER_MODEL_REALM_ROLE_MAPPING_ROLE_PREFIX_HELP_TEXT`
    `static String` | `USER_MODEL_REALM_ROLE_MAPPING_ROLE_PREFIX_LABEL`
    `static String` | `USER_ROLE`
    `static String` | `USER_SESSION_MODEL_NOTE_HELP_TEXT`
    `static String` | `USER_SESSION_MODEL_NOTE_LABEL`
    `static String` | `USER_SESSION_NOTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolMapperUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `compare(Map.Entry<ProtocolMapperModel,ProtocolMapper> entry)`
    `static ProtocolMapperModel` | `findLocaleMapper(KeycloakSession session)` Find the builtin locale mapper.
    `static Stream<Map.Entry<ProtocolMapperModel,ProtocolMapper>>` | `getSortedProtocolMappers(KeycloakSession session, ClientSessionContext ctx)`
    `static String` | `getUserModelValue(UserModel user, String propertyName)`
    `static boolean` | `isEnabled(KeycloakSession session, ProtocolMapperModel mapper)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USER_ROLE

          public static final String USER_ROLE

      See Also:
        Constant Field Values

    - #### USER_ATTRIBUTE

          public static final String USER_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### USER_SESSION_NOTE

          public static final String USER_SESSION_NOTE

      See Also:
        Constant Field Values

    - #### MULTIVALUED

          public static final String MULTIVALUED

      See Also:
        Constant Field Values

    - #### AGGREGATE_ATTRS

          public static final String AGGREGATE_ATTRS

      See Also:
        Constant Field Values

    - #### USER_MODEL_PROPERTY_LABEL

          public static final String USER_MODEL_PROPERTY_LABEL

      See Also:
        Constant Field Values

    - #### USER_MODEL_PROPERTY_HELP_TEXT

          public static final String USER_MODEL_PROPERTY_HELP_TEXT

      See Also:
        Constant Field Values

    - #### USER_MODEL_ATTRIBUTE_LABEL

          public static final String USER_MODEL_ATTRIBUTE_LABEL

      See Also:
        Constant Field Values

    - #### USER_MODEL_ATTRIBUTE_HELP_TEXT

          public static final String USER_MODEL_ATTRIBUTE_HELP_TEXT

      See Also:
        Constant Field Values

    - #### USER_MODEL_CLIENT_ROLE_MAPPING_CLIENT_ID

          public static final String USER_MODEL_CLIENT_ROLE_MAPPING_CLIENT_ID

      See Also:
        Constant Field Values

    - #### USER_MODEL_CLIENT_ROLE_MAPPING_CLIENT_ID_LABEL

          public static final String USER_MODEL_CLIENT_ROLE_MAPPING_CLIENT_ID_LABEL

      See Also:
        Constant Field Values

    - #### USER_MODEL_CLIENT_ROLE_MAPPING_CLIENT_ID_HELP_TEXT

          public static final String USER_MODEL_CLIENT_ROLE_MAPPING_CLIENT_ID_HELP_TEXT

      See Also:
        Constant Field Values

    - #### USER_MODEL_CLIENT_ROLE_MAPPING_ROLE_PREFIX

          public static final String USER_MODEL_CLIENT_ROLE_MAPPING_ROLE_PREFIX

      See Also:
        Constant Field Values

    - #### USER_MODEL_CLIENT_ROLE_MAPPING_ROLE_PREFIX_LABEL

          public static final String USER_MODEL_CLIENT_ROLE_MAPPING_ROLE_PREFIX_LABEL

      See Also:
        Constant Field Values

    - #### USER_MODEL_CLIENT_ROLE_MAPPING_ROLE_PREFIX_HELP_TEXT

          public static final String USER_MODEL_CLIENT_ROLE_MAPPING_ROLE_PREFIX_HELP_TEXT

      See Also:
        Constant Field Values

    - #### USER_MODEL_REALM_ROLE_MAPPING_ROLE_PREFIX

          public static final String USER_MODEL_REALM_ROLE_MAPPING_ROLE_PREFIX

      See Also:
        Constant Field Values

    - #### USER_MODEL_REALM_ROLE_MAPPING_ROLE_PREFIX_LABEL

          public static final String USER_MODEL_REALM_ROLE_MAPPING_ROLE_PREFIX_LABEL

      See Also:
        Constant Field Values

    - #### USER_MODEL_REALM_ROLE_MAPPING_ROLE_PREFIX_HELP_TEXT

          public static final String USER_MODEL_REALM_ROLE_MAPPING_ROLE_PREFIX_HELP_TEXT

      See Also:
        Constant Field Values

    - #### USER_SESSION_MODEL_NOTE_LABEL

          public static final String USER_SESSION_MODEL_NOTE_LABEL

      See Also:
        Constant Field Values

    - #### USER_SESSION_MODEL_NOTE_HELP_TEXT

          public static final String USER_SESSION_MODEL_NOTE_HELP_TEXT

      See Also:
        Constant Field Values

    - #### MULTIVALUED_LABEL

          public static final String MULTIVALUED_LABEL

      See Also:
        Constant Field Values

    - #### AGGREGATE_ATTRS_LABEL

          public static final String AGGREGATE_ATTRS_LABEL

      See Also:
        Constant Field Values

    - #### MULTIVALUED_HELP_TEXT

          public static final String MULTIVALUED_HELP_TEXT

      See Also:
        Constant Field Values

    - #### AGGREGATE_ATTRS_HELP_TEXT

          public static final String AGGREGATE_ATTRS_HELP_TEXT

      See Also:
        Constant Field Values

    - #### PRIORITY_ROLE_NAMES_MAPPER

          public static final int PRIORITY_ROLE_NAMES_MAPPER

      See Also:
        Constant Field Values

    - #### PRIORITY_HARDCODED_ROLE_MAPPER

          public static final int PRIORITY_HARDCODED_ROLE_MAPPER

      See Also:
        Constant Field Values

    - #### PRIORITY_AUDIENCE_RESOLVE_MAPPER

          public static final int PRIORITY_AUDIENCE_RESOLVE_MAPPER

      See Also:
        Constant Field Values

    - #### PRIORITY_ROLE_MAPPER

          public static final int PRIORITY_ROLE_MAPPER

      See Also:
        Constant Field Values

    - #### PRIORITY_SCRIPT_MAPPER

          public static final int PRIORITY_SCRIPT_MAPPER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProtocolMapperUtils

          public ProtocolMapperUtils()

  - ### Method Detail

    - #### getUserModelValue

          public static String getUserModelValue(UserModel user,
                                                 String propertyName)

    - #### findLocaleMapper

          public static ProtocolMapperModel findLocaleMapper(KeycloakSession session)

      Find the builtin locale mapper.
      Parameters:
        `session` - A KeycloakSession
      Returns:
        The builtin locale mapper.

    - #### getSortedProtocolMappers

          public static Stream<Map.Entry<ProtocolMapperModel,ProtocolMapper>> getSortedProtocolMappers(KeycloakSession session,
                                                                                                       ClientSessionContext ctx)

    - #### compare

          public static int compare(Map.Entry<ProtocolMapperModel,ProtocolMapper> entry)

    - #### isEnabled

          public static boolean isEnabled(KeycloakSession session,
                                          ProtocolMapperModel mapper)

Copyright © 2021 JBoss by Red Hat. All rights reserved.